Bug 1281751 - [RFE] API and CLI for configuring trends
[RFE] API and CLI for configuring trends
Status: ASSIGNED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Trends (Show other bugs)
6.1.3
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Shira Maximov
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks: 1122832 260381
  Show dependency treegraph
 
Reported: 2015-11-13 06:33 EST by Peter Vreman
Modified: 2018-05-02 02:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12471 None None None 2016-04-22 11:14 EDT
Foreman Issue Tracker 18429 None None None 2017-11-30 10:11 EST

  None (edit)
Description Peter Vreman 2015-11-13 06:33:34 EST
Description of problem:
Trends can only be configured through the WebUI. There is no API (and CLI) available.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure trends by the API
2. Configure trends by the CLI
3.

Actual results:
Not possible

Expected results:
Trends can be configured

Additional info:
Comment 1 Bryan Kearney 2015-11-13 11:17:36 EST
Created redmine issue http://projects.theforeman.org/issues/12471 from this bug
Comment 2 Bryan Kearney 2015-11-13 12:05:10 EST
Upstream bug component is Hammer
Comment 3 Jitendra Yejare 2017-07-12 05:37:52 EDT
Upstream bug component is Hammer
Comment 4 Tomas Strachota 2017-07-21 06:41:21 EDT
Hi Jitendra, 
in downstream we now assign components based on part of the system the bug affects (eg. Trends, Hosts, Networking) regardless of whether they lie in API, CLI or UI. So even though this issue is categorized as "Hammer > Other commands" in the upstream, we should keep it in "Trends" here. The component "Hammer" is used only for bugs found in hammer core.
Comment 5 pm-sat@redhat.com 2018-01-11 12:11:45 EST
Upstream bug assigned to mshira@redhat.com
Comment 6 pm-sat@redhat.com 2018-01-11 12:11:54 EST
Upstream bug assigned to mshira@redhat.com

Note You need to log in before you can comment on or make changes to this bug.